*, *::before, *::after{
    box-sizing: border-box;
}

:root{
    --bg-color: white;
    --header--bg-color: white;
}

body,html{
    height: 100%;
    background-color: var(--bg-color);
    margin: 0;
}

body{
    display: grid;
    grid-template-areas:
    "header"
    "nav"
    "main"
    "footer"
    ;
    grid-template-rows: 0.1fr 0.1fr auto 0.1fr;
}

.header{
    grid-area: header;

    display: grid;
    grid-template-columns: auto 1fr;

    background-color: var(--header--bg-color);
}

.header h1{
    font-family: 'Zapfino', sans-serif;
    letter-spacing: .3rem;
}

.header__logo{
    align-self: left;
    height: 9rem;
    width: 10rem;
}

.header__title{
    align-self: center;
    justify-self: center;

    margin: 0;
}

/* below CSS has been adapted from https://css.gg under the MIT License */
.chevronicon {
    margin-left: 4.2rem;
    margin-top: -1.3rem;
}


.nav {
    box-shadow: 0px 5px 5px 3px rgba(112, 112, 112, 0.3);
    position: relative;
    grid-area: nav;
    
    flex-direction: column;
    list-style-type: none;
    background-color: rgb(199, 237, 162);
   
    padding: 0;
    margin: 0;
}

.nav__menu{
    display: flex;
    flex-direction: row;
    justify-content: space-evenly;
    list-style: none;
    padding-left: 0;
    margin: 1rem;
}

.nav__item{
    text-decoration: none;
    font-style: bold;
    letter-spacing: .1rem;
    align-self: center;
    padding: .3rem;
}

.nav__item:hover{
    letter-spacing: .3rem;
    font-weight: bold;
}

.nav__menu li a {
   display: block;
}
  
.nav__menu li.nav__item {
    position: relative;
}
  
.nav__menu li.nav__item:hover .dropdown {
    visibility: visible;
    opacity: 1;
    transform: translateY(0px);
}
  
.nav__menu li.nav__item .dropdown {
    visibility: hidden;
    opacity: 0;
    position: absolute;
    padding: 1rem 0;
    top: 100%;
    transform: translateY(50px);
    left: 0;
    width: 11rem;
    background-color:  rgb(199, 237, 162);
    box-shadow: 0px 5px 5px 3px  rgba(112, 112, 112, 0.3);
    border-bottom-left-radius: .2rem;
    border-bottom-right-radius: .2rem;
    z-index: 111;
    transition: 0.4s all;
}
.nav__menu li.nav__item .dropdown a {
    padding-top: .5rem;
    padding-bottom: .5rem;
    padding-left: .5rem;

    font-weight: 300;
    
}
.nav__item .dropdown a:hover {
    letter-spacing: .4rem;
    font-weight: bold;
}

.nav__menu li a:hover {
    color: rgb(59, 0, 59);
}

main{
    padding-left: 1rem;
    padding-right: 1rem;
    padding-bottom: 3rem;
}

.main__title{
    grid-column: span 12;
    text-align: center;
    font-family: "optima", sans-serif;
    letter-spacing: .1rem;
}



.footer{
    grid-area: footer;

    display: grid;
    flex-direction: column;
    list-style-type: none;

    background-color: rgb(199, 237, 162);
    padding: 0;
    box-shadow: 0px -5px 5px 3px rgba(112, 112, 112, 0.3);
}

.footer__menu{
    display: flex;
    flex-direction: row;
    justify-content: space-evenly;
    list-style: none;
}

@media(max-width: 50rem){

    body{
        display: grid;  
        grid-template-rows: 0.1fr auto auto auto;
    }
 
    .nav__menu{
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: space-evenly;
        margin: .3rem;
        line-height: 19pt;
        align-items: center;
    }

    .footer__menu {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: space-around;
        margin: .5rem;
        line-height: 19pt;
    }
    
}